<!--
 Copyright © VNG Realisatie 2024
 Licensed under the EUPL
-->

{{ define "content" }}

    <div class="peers-page">
        <div class="peers-page__actions-bar">
            <div class="peers-page__actions-bar__peers-count">
                <span class="peers-page__actions-bar__peers-count__amount"
                    >{{ .AmountOfPeers }}</span
                >
                <small>{{ i18n "Peers" }}</small>
            </div>

            <div class="peers-page__actions-bar__buttons" hx-boost="true">
                <a
                    id="sync_peers"
                    href="/peers?sync=true"
                    class="button--primary"
                    hx-disabled-elt="this"
                >
                    {{ svg "icon-refresh-line" "icon--inline" }}
                    {{ i18n "Synchronize with Directory" }}
                </a>
                <a href="/peers/add" class="button--primary">
                    {{ svg "icon-plus" "icon--inline" }}
                    {{ i18n "Add Peer" }}
                </a>
            </div>
        </div>

        {{ if ne (len .Error) 0 }}
            <div class="alert--error">
                <p class="alert__title">{{ i18n "Error" }}</p>
                <p class="alert__content">
                    {{ .Error }}
                </p>
            </div>
        {{ end }}

        {{ if .SyncSuccess }}
            {{ if eq (len .SyncResults) 0 }}
                <div class="alert--warning">
                    <p class="alert__title">
                        {{ i18n "Synchronization not performed" }}
                    </p>
                    <div class="alert__content">
                        {{ i18n "There is no Directory available for synchronization" }}
                    </div>
                </div>
            {{ else }}
                <div class="alert--success">
                    <p class="alert__title">
                        {{ i18n "Successfully synchronized with Directory Peer" }}
                    </p>
                    <div class="alert__content">
                        <ul>
                            {{ range   $syncResult := .SyncResults }}
                                <li>
                                    {{ $syncResult.PeerName }}
                                    ({{ $syncResult.PeerID }})
                                </li>
                            {{ end }}
                        </ul>
                    </div>
                </div>
            {{ end }}
        {{ else if ne (len .SyncResults) 0 }}
            <div class="alert--warning">
                <p class="alert__title">
                    {{ i18n "Synchronization with the Directory failed" }}
                </p>
                <div class="alert__content">
                    <ul>
                        {{ range   $syncResult := .SyncResults }}
                            <li>
                                {{ if   $syncResult.Ok }}
                                    {{ i18n "Successfully synchronized with Directory Peer" }}
                                    {{ $syncResult.PeerName }}
                                    ({{ $syncResult.PeerID }})
                                {{ else }}
                                    <span class="sync_result">
                                        {{ i18n "Unable to synchronize with Directory Peer" }}
                                        {{ $syncResult.PeerName }}
                                        ({{ $syncResult.PeerID }})
                                    </span>
                                    {{ i18n "Error" }}:
                                    {{ $syncResult.ErrMsg }}
                                {{ end }}
                            </li>
                        {{ end }}
                    </ul>
                </div>
            </div>
        {{ end }}


        <table>
            <thead>
                <tr>
                    <th>{{ i18n "Name" }}</th>
                    <th>{{ i18n "ID" }}</th>
                    <th>{{ i18n "Roles" }}</th>
                    <th>{{ i18n "Manager Address" }}</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                {{ range .Peers }}
                    <tr
                        class="tr--link"
                        hx-get="/peers/{{ .ID }}"
                        hx-push-url="true"
                        hx-swap="innerHTML"
                        hx-target="body"
                    >
                        <td>{{ .Name }}</td>
                        <td>{{ .ID }}</td>
                        <td>{{ .Roles }}</td>
                        <td>{{ .ManagerAddress }}</td>
                        <td class="td--link">
                            <a href="/peers/{{ .ID }}">
                                {{ svg "icon-chevron-right" "icon" }}
                            </a>
                        </td>
                    </tr>
                {{ end }}
            </tbody>
        </table>
    </div>
{{ end }}
